package com.qmth.teachcloud.mark.service;

import java.util.List;

import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.teachcloud.mark.bean.archivescore.ScanPaperPageVo;
import com.qmth.teachcloud.mark.entity.ScanPaperPage;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanPaperPageService extends IMppService<ScanPaperPage> {

	ScanPaperPage findPaperIdAndIndex(Long paperId, Integer pageIndex);

	List<ScanPaperPage> listByPaperId(Long paperId);

	List<ScanPaperPage> listByPaperList(List<Long> paperIds);

	List<ScanPaperPageVo> listByStudentIds(List<Long> studentIds);
}
